#include <stdio.h>
#include <stdlib.h>
#include <SDL/SDL.h>
#include "types.h"

/* defines */

/* None */

/* external variables */

/* None */

/* global variables */

/* None */

/* local variables */

/* None */

/* local prototypes */

/* None */

void GetUserInput(input_type *Controls)
{
   SDL_Event event = {0};

    /* Poll for keyboard events */
    SDL_PollEvent(&event);

     /* clear last user input */
    Controls->Right = 0;
    Controls->Left = 0;
    Controls->Forward = 0;
    Controls->Back = 0;

      /* check to see if user pressed a control key */
    if(event.type == SDL_KEYDOWN)
    {
        if(event.key.keysym.sym == SDLK_RIGHT)
        {
            Controls->Right = 1;
        }

        if(event.key.keysym.sym == SDLK_LEFT)
        {
            Controls->Left = 1;
        }

        if(event.key.keysym.sym == SDLK_UP)
        {
            Controls->Forward = 1;
        }

        if(event.key.keysym.sym == SDLK_DOWN)
        {
            Controls->Back = 1;
        }
        
        if(event.key.keysym.sym == SDLK_ESCAPE)
        {
            Controls->Exit = 1;
        }
    }

    /* check if users pressed the windows close / exit button */
    if(event.type == SDL_QUIT)
    {
        Controls->Exit = 1;
    }  
}
